Update event type
Update an event type's description, schema, or status.
PATCH
/event-types/{id}
Update an event type's description, schema, or status.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Request Body required
Request body
application/jsondescription
string
Updated description
json_schema
string | null
Updated JSON Schema (null to remove)
status
string
Status: active or archived
Responses
200
Updated event type
application/jsonevent_type
unknown
REQUIRED
400
No fields to update
401
Unauthorized
curl -X PATCH 'https://hookstream.io/v1/event-types/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "description": "string", "json_schema": "string", "status": "string"}'
const response = await fetch('https://hookstream.io/v1/event-types/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "description": "string", "json_schema": "string", "status": "string" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://hookstream.io/v1/event-types/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers, json={ "description": "string", "json_schema": "string", "status": "string"})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "description": "string", "json_schema": "string", "status": "string"}`) req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/event-types/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "event_type": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "description": "<string>", "json_schema": "<string>", "status": "<string>", "created_at": "<string>", "updated_at": "<string>" }}
API Playground
Try this endpoint
PATCH
/event-types/{id}